<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Climate quiz</title>
    <link rel="icon" type="image" href="../static/image/favicon.ico" th:href="@{/image/favicon.ico}">
    <link rel="stylesheet" type="text/css" href="../static/css/bootstrap.min.css" th:href="@{/css/bootstrap.min.css}">
    <link rel="stylesheet" type="text/css" href="../static/css/start-style.css" th:href="@{/css/start-style.css}">
    <link rel="stylesheet" type="text/css" href="../static/css/creation-participant.css" th:href="@{/css/creation-participant.css}">
    <link rel="stylesheet" type="text/css" href="../static/css/table-reponse-question.css" th:href="@{/css/table-reponse-question.css}">
    <link rel="stylesheet" type="text/css" href="../static/css/resulat.css" th:href="@{/css/resulat.css}">
    <link rel="stylesheet" type="text/css" href="../static/css/quiz-style.css" th:href="@{/css/quiz-style.css}">
    <link rel="stylesheet" type="text/css" href="../static/css/loading.css" th:href="@{/css/loading.css}">
    <link rel="stylesheet" href="../static/css/gift.css" th:href="@{/css/gift.css}">
    <link rel="stylesheet" href="../static/css/game.css" th:href="@{/css/game.css}">
</head>
<body>

<!-- add content -->
<div>
    <input type="hidden" id="connect-user" th:value="${userDetails.loginName}">
    <input type="hidden" id="message" value="">
    <audio id="letsgo">
        <source th:src="@{/music/start.mp3}" type="audio/mp3">
    </audio>
    <audio id="responsewrong">
        <source th:src="@{/music/negative_beeps.mp3}" type="audio/mp3">
    </audio>
    <audio id="responseright">
        <source th:src="@{/music/good.wav}" type="audio/wav">
    </audio>
    <audio id="sonortimerending">
        <source th:src="@{/music/countdown30s.mp3}" type="audio/mp3">
    </audio>
    <audio id="sonortimerending2">
        <source th:src="@{/music/countdown6S.mp3}" type="audio/mp3">
    </audio>
    <audio id="avertissement">
        <source th:src="@{/music/bad.wav}" type="audio/wav">
    </audio>
    <audio id="terminate">
        <source th:src="@{/music/countdown-boom.mp3}" type="audio/mp3">
    </audio>
</div>

<!--ADMIN PAGE-->
<div th:if="${userDetails.loginName == 'admin'}">
    <!--welcome in admin-->
    <div id="admin-first">
        <div class="creation-participant-quiz">
            <div class="">
                <div class="container">
                    <div class="row">
                        <div class="col-md-6 col-sm-6">
                            <div class="form-login">
                                <div class="content-login">
                                    <form class="login-quiz">
                                        <h4 class="">settings</h4>
                                        <div class="auth">
                                            <div class="btn-add">
                                                <button type="button" class="btn btn-connexion btn-admin" id="admin-connect-game">Connect To Game</button>
                                            </div>
                                            <div class="btn-add">
                                                <button type="button" class="btn btn-connexion btn-admin hidden" id="admin-start-game">Start Game</button>
                                            </div>
                                            <div class="btn-add">
                                                <button type="button" class="btn btn-connexion btn-admin" id="restart-user1">Restart Team1</button>
                                            </div>
                                            <div class="btn-add">
                                                <button type="button" class="btn btn-connexion btn-admin" id="restart-user2">Restart Team2</button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 col-sm-6">
                            <div class="liste-participant team-list" id="team-list">

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!--result of the game-->
    <div id="admin-second" class="hidden">
        <div class="resultat-table">
            <div class="d-flex flex-row justify-content-between">
                <h3></h3>
                <div class="timerad"><span id="countdownadmin"></span></div>
            </div>
            <div>
                <div class="container">
                    <h2>Responses for each team</h2>
                    <table class="table table-responsive dtHorizontalVerticalExample">
                        <thead class="thead-dark">
                        <tr>
                            <th>Question</th>
                            <th class="text-center">First Team</th>
                            <th class="text-center">Second Team</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr th:each="questions : ${questions}">
                            <td th:text="${questions.question}"></td>
                            <td th:id="${'user1-'+questions.id+'-response'}" class="text-center"></td>
                            <td th:id="${'user2-'+questions.id+'-response'}" class="text-center"></td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <!--participant score and winner-->
    <div id="admin-third" class="hidden">
        <div class="login-page-p">
            <div class="container">
                <div class="row">
                    <div class="form-login-p">
                        <div class="lg-01">
                            <h2 class="text-center">game result</h2>
                            <p class="text-center des-resultat">Thanks a lot for the participation</p>
                        </div>
                        <div class="content-login-p">
                            <div class="resultat-quiz">
                                <p class="text-center" id="scoregagnatperdant"><img src="../static/image/score.png" th:src="@{/image/score.png}" alt="" class="img-fluid"></p>
                                <p class="text-center hidden" id="scoreegalite"><img src="../static/image/score2.png" th:src="@{/image/score2.png}" alt="" class="img-fluid"></p>
                                <div class="premier-palce text-center">
                                    <p class="text-center name-groupe" id="team-gagnant"></p>
                                    <h6 class="text-center note-1" id="team-gagnant-score"></h6>
                                </div>
                                <div class="2-palce text-center">
                                    <p class="text-center name-groupe-2" id="team-perdant"></p>
                                    <h6 class="text-center note-2" id="team-perdant-score"></h6>
                                </div>
                                <p class="text-center resulat_lista">
                                    <button type="button" class="btn btn-connexion hidden" id="admin-new-game">New Game</button>
                                    <button type="button" class="btn btn-connexion hidden" id="admin-secondRound-game">Round Two</button>
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!--second round-->
    <div id="admin-four" class="hidden">
        <div class="resultat-table">
            <div class="d-flex flex-row justify-content-between">
                <h3></h3>
                <div class="timerad"><span id="countdownadmin2"></span></div>
            </div>
            <div>
                <div class="container">
                    <h2>Responses for each team</h2>
                    <table class="table table-responsive dtHorizontalVerticalExample">
                        <thead class="thead-dark">
                        <tr>
                            <th>Question</th>
                            <th class="text-center">First Team</th>
                            <th class="text-center">Second Team</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr th:each="questions : ${questions2}">
                            <td th:text="${questions.question}"></td>
                            <td th:id="${'user1-'+questions.id+'-response'}" class="text-center"></td>
                            <td th:id="${'user2-'+questions.id+'-response'}" class="text-center"></td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

    </div>
</div>

<!--USER1 PAGE-->
<div th:if="${userDetails.loginName == 'user1' or userDetails.loginName == 'user2'}">
    <!--welcome with button participante-->
    <div id="user1-first">
        <div class="start-page">
            <div class="container">
                <div class="row">
                    <div class="col-sm-6 p-2"><p class="text-left"><img src="../static/image/logo2.png" th:src="@{/image/logo2.png}" alt="logo-unfpa"></p></div>
                    <div class="col-sm-6 p-2"><p class="text-right"><img src="../static/image/logo1.png" th:src="@{/image/logo1.png}" alt="logo-norvege"></p></div>
                    <div class="start-content-quiz">
                        <div class="quiz-quiz">
                            <h1 class="text-center">Health & Climate</h1>
                            <img src="../static/image/quizz3.svg" th:src="@{/image/quizz3.svg}" alt="" class="img-fluid">
                            <form th:action="@{/user1/save-team}" method="post" th:object="${team}" id="team-formulaire">
                                <input id="teamName" th:field="*{teamName}" type="text" class="form-control field"
                                       th:placeholder="${userDetails.loginName == 'user1'}?'Team1 Name':'Team2 Name'" required>
                                <p class="text-center">
                                    <button type="submit" class="btn btn-connexion">start playing</button>
                                </p>
                            </form>
                            <h5 class="text-center text-danger" id="message-info"></h5>
                        </div>
                    </div>

                </div>

            </div>
        </div>
    </div>

    <!--insert participant information-->
    <div id="user1-second" class="hidden">
        <div class="creation-participant-quiz">
            <div class="">
                <div class="container">
                    <h2 class="payer">creation participant</h2>
                    <div class="row">
                        <div class="col-md-6 col-sm-6">
                            <div class="form-login">
                                <div class="content-login">
                                    <form class="login-quiz" method="post" th:action="@{/user1/save-participant}" id="form-participant" th:object="${player}">
                                        <h4 class="">insert player</h4>
                                        <div class="auth">
                                            <div class="">
                                                <input type="text" class="form-control field" placeholder="Name" name="nom" id="name" th:field="*{nom}">
                                            </div>
                                            <div class="">
                                                <input type="text" name="age" id="age" class="form-control field" placeholder="Age">
                                            </div>
                                            <div class="">
                                                <select class="form-control field" th:field="*{gender}" id="gender">
                                                    <option value="">Gender</option>
                                                    <option th:each="sex : ${T(com.unfpa.climatequizgame.model.Gender).values()}"
                                                            th:value="${sex}" th:text="${sex}">
                                                    </option>
                                                </select>
                                            </div>
                                            <div class="btn-add">
                                                <button type="submit" class="btn btn-connexion">add</button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                                <div class="message-info">
                                    <h5 id="message1" class="hidden">Result message</h5>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 col-sm-6">
                            <div class="liste-participant" id="team-info">
                                <h4 class="" style="white-space: nowrap">
                                    <span>Team: </span>
                                    <span class="team-name" id="team-name"></span>
                                </h4>
                                <ul class="list-group user1-list-player">
                                </ul>
                                <div class="text-center">
                                    <button type="button" class="btn btn-connexion" id="user1-ready" disabled>Ready</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!--page after click ready-->
    <div id="user1-six" class="hidden">
        <div class="login-page-p">
            <div class="container">
                <div class="center">
                    <div class="logo is-animetion loading-text">
                        <span>...</span>
                        <span>Loading</span>
                        <span>for</span>
                        <span>game</span>
                        <span>start</span>
                        <span>....</span>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!--question carousel -->
    <div id="user1-thrid" class="hidden">
        <div class="start-page-r">
            <div class="p-2">
                <div class="start-content-question">
                    <div class="d-flex flex-row justify-content-between  head">
                        <H3>Team's score:<span class="team-score">0</span><span th:text="${'/'+numberQuestion}"></span></H3>
                        <time><div id="countdown"></div></time>
                    </div>
                    <div class="quiz-question">
                        <ol class="carousel-indicators">
                            <th:block th:each="numberOfquestion : ${questionsSize}">
                                <li data-target="#carouselExampleIndicators" th:attr="data-slide-to=${''+numberOfquestion.numero+''}" th:class="${'quest-indic-'+numberOfquestion.questionId}"></li>
                            </th:block>
                        </ol>
                        <div id="carouselExampleIndicators" class="carousel slide" data-interval="13000">
                            <div class="carousel-inner">
                                <div class="">
                                    <th:block th:each="questions : ${questions}">
                                        <div class="carousel-item" th:id="${'carousel-user1'+questions.id}" th:classappend="${questions.question == 'What is the COP28 ?'}?'active':''">
                                            <div class="row">
                                                <div class="question-reponse">
                                                    <h6 th:text="${questions.question}"></h6>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6 col-sm-6">
                                                    <form th:action="@{/user1/save-data-user1}" method="post" th:id="${'user1-form-'+questions.id}" th:object="${formdata}" class="formulaire1">
                                                        <input type="hidden" th:value="${questions.id}" name="question">
                                                        <div class="reponse-quiz">
                                                            <div th:each="responses : ${responses}" th:if="${questions.id == responses.question.id}">
                                                                <label class="radio radio-reponse" th:classappend="${responses.isCorrect == true}?'correct':''">
                                                                    <input type="radio" th:id="${responses.response}" th:value="${responses.id}" th:field="*{responseId}"/>
                                                                    <label th:for="${responses.response}" th:text="${responses.response}"></label>
                                                                </label>
                                                            </div>
                                                            <div class="d-flex flex-row justify-content-between align-items-center action-btn ">
                                                                <a href="#carouselExampleIndicators" role="button" data-slide="prev">
                                                                    <button class="btn btn-primary  align-items-center previous" type="button">previous<i class="fa fa-angle-right ml-2"></i></button>
                                                                </a>
                                                                <a href="#carouselExampleIndicators" role="button" data-slide="next">
                                                                    <button class="btn btn-primary align-items-center next" type="button">Next<i class="fa fa-angle-right ml-2"></i></button>
                                                                </a>
                                                            </div>
                                                        </div>
                                                    </form>
                                                </div>
                                                <div class="col-md-6 col-sm-6">
                                                    <img src="../static/imagegallery/question1.png" th:src="@{/imagegallery/question1.png}" alt="img-fluid" class="img-fluid image-resultat question1">
                                                    <img src="../static/imagegallery/question2.png" th:src="@{/imagegallery/question2.png}" alt="img-fluid" class="img-fluid image-resultat hidden question2">
                                                    <img src="../static/imagegallery/question3.png" th:src="@{/imagegallery/question3.png}" alt="img-fluid" class="img-fluid image-resultat question3 hidden">
                                                    <img src="../static/imagegallery/question4.png" th:src="@{/imagegallery/question4.png}" alt="img-fluid" class="img-fluid image-resultat question4 hidden">
                                                    <img src="../static/imagegallery/question5.png" th:src="@{/imagegallery/question5.png}" alt="img-fluid" class="img-fluid image-resultat question5 hidden">
                                                    <img src="../static/imagegallery/question6.png" th:src="@{/imagegallery/question6.png}" alt="img-fluid" class="img-fluid image-resultat question6 hidden">
                                                    <img src="../static/imagegallery/question7.png" th:src="@{/imagegallery/question7.png}" alt="img-fluid" class="img-fluid image-resultat question7 hidden">
                                                    <img src="../static/imagegallery/question8.png" th:src="@{/imagegallery/question8.png}" alt="img-fluid" class="img-fluid image-resultat question8 hidden">
                                                    <img src="../static/imagegallery/question9.png" th:src="@{/imagegallery/question9.png}" alt="img-fluid" class="img-fluid image-resultat question9 hidden">
                                                    <img src="../static/imagegallery/question10.png" th:src="@{/imagegallery/question10.png}" alt="img-fluid" class="img-fluid image-resultat question10 hidden">
                                                    <img src="../static/imagegallery/question11.png" th:src="@{/imagegallery/question11.png}" alt="img-fluid" class="img-fluid image-resultat question11 hidden">
                                                    <img src="../static/imagegallery/question12.png" th:src="@{/imagegallery/question12.png}" alt="img-fluid" class="img-fluid image-resultat question12 hidden">
                                                    <img src="../static/imagegallery/question13.png" th:src="@{/imagegallery/question13.png}" alt="img-fluid" class="img-fluid image-resultat question13 hidden">
                                                    <img src="../static/imagegallery/question14.png" th:src="@{/imagegallery/question14.png}" alt="img-fluid" class="img-fluid image-resultat question14 hidden">
                                                    <img src="../static/imagegallery/question15.png" th:src="@{/imagegallery/question15.png}" alt="img-fluid" class="img-fluid image-resultat question15 hidden">
                                                    <img src="../static/imagegallery/question16.png" th:src="@{/imagegallery/question16.png}" alt="img-fluid" class="img-fluid image-resultat question16 hidden">
                                                    <img src="../static/imagegallery/question17.png" th:src="@{/imagegallery/question17.png}" alt="img-fluid" class="img-fluid image-resultat question17 hidden">
                                                    <img src="../static/imagegallery/question18.png" th:src="@{/imagegallery/question18.png}" alt="img-fluid" class="img-fluid image-resultat question18 hidden">
                                                    <img src="../static/imagegallery/question19.png" th:src="@{/imagegallery/question19.png}" alt="img-fluid" class="img-fluid image-resultat question19 hidden">
                                                    <img src="../static/imagegallery/question20.png" th:src="@{/imagegallery/question20.png}" alt="img-fluid" class="img-fluid image-resultat question20 hidden">
                                                    <img src="../static/imagegallery/question21.png" th:src="@{/imagegallery/question21.png}" alt="img-fluid" class="img-fluid image-resultat question21 hidden">
                                                    <img src="../static/imagegallery/question22.png" th:src="@{/imagegallery/question22.png}" alt="img-fluid" class="img-fluid image-resultat question22 hidden">
                                                </div>
                                            </div>
                                        </div>
                                    </th:block>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!--finished playing-->
    <div id="user1-four" class="hidden">
        <div class="resultat-table">
            <div>
                <div class="container">
                    <div id="first-round" class="hidden">
                        <h2>Knowledge for yours</h2>
                        <table class="table table-responsive dtHorizontalVerticalExample">
                            <thead class="thead-dark">
                            <tr>
                                <th>Question</th>
                                <th>Correct answer</th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr th:each="questions : ${questions}">
                                <td th:text="${questions.question}"></td>
                                <td th:each="responses : ${responses}"
                                    th:if="${questions.id == responses.question.id and responses.isCorrect == true}"
                                    th:text="${responses.response}"></td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                    <div id="secound-round" class="hidden">
                        <h2>Knowledge for yours</h2>
                        <table class="table table-responsive dtHorizontalVerticalExample">
                            <thead class="thead-dark">
                            <tr>
                                <th>Question</th>
                                <th>Correct answer</th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr th:each="questions : ${questions2}">
                                <td th:text="${questions.question}"></td>
                                <td th:each="responses : ${responses}"
                                    th:if="${questions.id == responses.question.id and responses.isCorrect == true}"
                                    th:text="${responses.response}"></td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--second round-->

    <div id="user1-five" class="hidden">
        <div class="start-page-r">
            <div class="p-2">
                <div class="start-content-question">
                    <div class="d-flex flex-row justify-content-between  head">
                        <H3>Team's score:<span class="team-score">0</span><span th:text="${'/'+numberQuestion2}"></span></H3>
                        <time><div id="countdown2"></div></time>
                    </div>
                    <div class="quiz-question">
                        <ol class="carousel-indicators">
                            <th:block th:each="numberOfquestion : ${questionsSize2}">
                                <li data-target="#carouselExampleIndicators2" th:attr="data-slide-to=${''+numberOfquestion.numero+''}" th:class="${'quest-indic-'+numberOfquestion.questionId}"></li>
                            </th:block>
                        </ol>
                        <div id="carouselExampleIndicators2" class="carousel slide" data-interval="13000">
                            <div class="carousel-inner">
                                <div class="">
                                    <th:block th:each="questions : ${questions2}">
                                        <div class="carousel-item" th:id="${'carousel-user1'+questions.id}" th:classappend="${questions.question == 'The United Nations lists 17 Sustainable Development Goals. Which of these is an SDG ?'}?'active':''">
                                            <div class="row">
                                                <div class="question-reponse">
                                                    <h6 th:text="${questions.question}"></h6>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6 col-sm-6">
                                                    <form th:action="@{/user1/save-data-user1}" method="post" th:id="${'user1-form-'+questions.id}" th:object="${formdata}" class="formulaire1">
                                                        <input type="hidden" th:value="${questions.id}" name="question">
                                                        <div class="reponse-quiz">
                                                            <div th:each="responses : ${responses}" th:if="${questions.id == responses.question.id}">
                                                                <label class="radio radio-reponse" th:classappend="${responses.isCorrect == true}?'correct':''">
                                                                    <input type="radio" th:id="${responses.response}" th:value="${responses.id}" th:field="*{responseId}"/>
                                                                    <label th:for="${responses.response}" th:text="${responses.response}"></label>
                                                                </label>
                                                            </div>
                                                            <div class="d-flex flex-row justify-content-between align-items-center action-btn ">
                                                                <a href="#carouselExampleIndicators2" role="button" data-slide="prev">
                                                                    <button class="btn btn-primary  align-items-center previous" type="button">previous<i class="fa fa-angle-right ml-2"></i></button>
                                                                </a>
                                                                <a href="#carouselExampleIndicators2" role="button" data-slide="next">
                                                                    <button class="btn btn-primary align-items-center next" type="button">Next<i class="fa fa-angle-right ml-2"></i></button>
                                                                </a>
                                                            </div>
                                                        </div>
                                                    </form>
                                                </div>
                                                <div class="col-md-6 col-sm-6">
                                                    <img src="../static/imagegallery/question1.png" th:src="@{/imagegallery/question1.png}" alt="img-fluid" class="img-fluid image-resultat question1">
                                                    <img src="../static/imagegallery/question2.png" th:src="@{/imagegallery/question2.png}" alt="img-fluid" class="img-fluid image-resultat hidden question2">
                                                    <img src="../static/imagegallery/question3.png" th:src="@{/imagegallery/question3.png}" alt="img-fluid" class="img-fluid image-resultat question3 hidden">
                                                    <img src="../static/imagegallery/question4.png" th:src="@{/imagegallery/question4.png}" alt="img-fluid" class="img-fluid image-resultat question4 hidden">
                                                    <img src="../static/imagegallery/question5.png" th:src="@{/imagegallery/question5.png}" alt="img-fluid" class="img-fluid image-resultat question5 hidden">
                                                    <img src="../static/imagegallery/question6.png" th:src="@{/imagegallery/question6.png}" alt="img-fluid" class="img-fluid image-resultat question6 hidden">
                                                    <img src="../static/imagegallery/question7.png" th:src="@{/imagegallery/question7.png}" alt="img-fluid" class="img-fluid image-resultat question7 hidden">
                                                    <img src="../static/imagegallery/question8.png" th:src="@{/imagegallery/question8.png}" alt="img-fluid" class="img-fluid image-resultat question8 hidden">
                                                    <img src="../static/imagegallery/question9.png" th:src="@{/imagegallery/question9.png}" alt="img-fluid" class="img-fluid image-resultat question9 hidden">
                                                    <img src="../static/imagegallery/question10.png" th:src="@{/imagegallery/question10.png}" alt="img-fluid" class="img-fluid image-resultat question10 hidden">
                                                    <img src="../static/imagegallery/question11.png" th:src="@{/imagegallery/question11.png}" alt="img-fluid" class="img-fluid image-resultat question11 hidden">
                                                    <img src="../static/imagegallery/question12.png" th:src="@{/imagegallery/question12.png}" alt="img-fluid" class="img-fluid image-resultat question12 hidden">
                                                    <img src="../static/imagegallery/question13.png" th:src="@{/imagegallery/question13.png}" alt="img-fluid" class="img-fluid image-resultat question13 hidden">
                                                    <img src="../static/imagegallery/question14.png" th:src="@{/imagegallery/question14.png}" alt="img-fluid" class="img-fluid image-resultat question14 hidden">
                                                    <img src="../static/imagegallery/question15.png" th:src="@{/imagegallery/question15.png}" alt="img-fluid" class="img-fluid image-resultat question15 hidden">
                                                    <img src="../static/imagegallery/question16.png" th:src="@{/imagegallery/question16.png}" alt="img-fluid" class="img-fluid image-resultat question16 hidden">
                                                    <img src="../static/imagegallery/question17.png" th:src="@{/imagegallery/question17.png}" alt="img-fluid" class="img-fluid image-resultat question17 hidden">
                                                    <img src="../static/imagegallery/question18.png" th:src="@{/imagegallery/question18.png}" alt="img-fluid" class="img-fluid image-resultat question18 hidden">
                                                    <img src="../static/imagegallery/question19.png" th:src="@{/imagegallery/question19.png}" alt="img-fluid" class="img-fluid image-resultat question19 hidden">
                                                    <img src="../static/imagegallery/question20.png" th:src="@{/imagegallery/question20.png}" alt="img-fluid" class="img-fluid image-resultat question20 hidden">
                                                    <img src="../static/imagegallery/question21.png" th:src="@{/imagegallery/question21.png}" alt="img-fluid" class="img-fluid image-resultat question21 hidden">
                                                    <img src="../static/imagegallery/question22.png" th:src="@{/imagegallery/question22.png}" alt="img-fluid" class="img-fluid image-resultat question22 hidden">
                                                </div>
                                            </div>
                                        </div>
                                    </th:block>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!--resultat specifique pour chaque utilisateur-->
<div th:if="${userDetails.loginName == 'user1'}">
    <div id="user1-resultat" class="hidden">
        <div class="login-page-p">
            <div class="container">
                <div class="center">
                    <div class="">
                        <div class="text-result text-center text-result-user1-1">
                        </div>
                        <div class="birthday-gift">
                            <div class="gift">
                                <input id='click' type='checkbox'>
                                <label class='click click-user1-1' for='click'></label>
                                <div class="wishes wishes-user1-1">Your result!</div>
                                <div class="sparkles sparkles-user1-1">
                                    <div class="spark1"></div>
                                    <div class="spark2"></div>
                                    <div class="spark3"></div>
                                    <div class="spark4"></div>
                                    <div class="spark5"></div>
                                    <div class="spark6"></div>
                                </div>
                            </div>
                        </div>
                        <div style="font-size: 30px;margin-top: 20px;text-align: center">
                            <span id="user1-message-final">This is a gift for you, but click on the top of the box to know the inside</span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="user1-resultat-2" class="hidden">
        <div class="login-page-p">
            <div class="container">
                <div class="center">
                    <div class="">
                        <div class="text-result text-center text-result-user1-2">
                        </div>
                        <div class="birthday-gift">
                            <div class="gift">
                                <input id='click3' type='checkbox'>
                                <label class='click click-user1-2' for='click'></label>
                                <div class="wishes wishes-user1-2">Your result!</div>
                                <div class="sparkles sparkles-user1-2">
                                    <div class="spark1"></div>
                                    <div class="spark2"></div>
                                    <div class="spark3"></div>
                                    <div class="spark4"></div>
                                    <div class="spark5"></div>
                                    <div class="spark6"></div>
                                </div>
                            </div>
                        </div>
                        <div style="font-size: 30px;margin-top: 20px;text-align: center">
                            <span id="user3-message-final">This is a gift for you, but click on the top of the box to know the inside</span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div th:if="${userDetails.loginName == 'user2'}">
    <div id="user2-resultat" class="hidden">
        <div class="login-page-p">
            <div class="container">
                <div class="center">
                    <div class="">
                        <div class="text-result text-center text-result-user2-1">
                        </div>
                        <div class="birthday-gift">
                            <div class="gift">
                                <input id='click2' type='checkbox'>
                                <label class='click click-user2-1' for='click2'></label>
                                <div class="wishes wishes-user2-1">Your result!</div>
                                <div class="sparkles sparkles-user2-1">
                                    <div class="spark1"></div>
                                    <div class="spark2"></div>
                                    <div class="spark3"></div>
                                    <div class="spark4"></div>
                                    <div class="spark5"></div>
                                    <div class="spark6"></div>
                                </div>
                            </div>
                        </div>
                        <div style="font-size: 30px;margin-top: 20px;text-align: center">
                            <span id="user2-message-final">This is a gift for you, but click on the top of the box to know the inside</span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="user2-resultat-2" class="hidden">
        <div class="login-page-p">
            <div class="container">
                <div class="center">
                    <div class="">
                        <div class="text-result text-center text-result-user2-2">
                        </div>
                        <div class="birthday-gift">
                            <div class="gift">
                                <input id='click4' type='checkbox'>
                                <label class='click click-user2-2' for='click2'></label>
                                <div class="wishes wishes-user2-2">Your result!</div>
                                <div class="sparkles sparkles-user2-2">
                                    <div class="spark1"></div>
                                    <div class="spark2"></div>
                                    <div class="spark3"></div>
                                    <div class="spark4"></div>
                                    <div class="spark5"></div>
                                    <div class="spark6"></div>
                                </div>
                            </div>
                        </div>
                        <div style="font-size: 30px;margin-top: 20px;text-align: center">
                            <span id="user4-message-final">This is a gift for you, but click on the top of the box to know the inside</span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
    $(document).ready(function () {
        $('.dtHorizontalVerticalExample').DataTable({
            "scrollX": true,
            "scrollY": 200,
        });
        $('.dataTables_length').addClass('bs-select');
    });
</script>
<script src="../static/js/jquery.min.js" th:src="@{/js/jquery.min.js}"></script>
<script src="../static/js/popper.min.js" th:src="@{/js/popper.min.js}"></script>
<script src="../static/js/bootstrap.min.js" th:src="@{/js/bootstrap.min.js}"></script>
<script src="../static/js/generalScript.js" th:src="@{/js/generalScript.js}"></script>
<script src="../static/js/sockjs.min.js" th:src="@{/js/sockjs.min.js}"></script>
<script src="../static/js/stomp.min.js" th:src="@{/js/stomp.min.js}"></script>
<script src="../static/js/game.js" th:src="@{/js/game.js}"></script>
<script src="../static/js/admin.js" th:src="@{/js/admin.js}"></script>
<script src="../static/js/user1.js" th:src="@{/js/user1.js}"></script>
<script src="../static/js/user2.js" th:src="@{/js/user2.js}"></script>

</body>
</html>